> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aera.helight.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Scrape Document



## OpenAPI

````yaml POST /scrape/document
openapi: 3.0.0
info:
  title: exscrapeolate API
  description: exscrapeolate API
  version: 1.0.0
servers:
  - url: https://exscrapeolate
security: []
paths:
  /scrape/document:
    post:
      requestBody:
        content:
          application/octet-stream:
            schema:
              description: Arbitrary document that is convertable by Apache Tika
              type: string
              format: binary
      responses:
        '200':
          $ref: '#/components/responses/ScrapedDataResponse'
components:
  responses:
    ScrapedDataResponse:
      description: Scraped Data Response
      content:
        application/json:
          schema:
            type: object
            properties:
              content:
                type: string
                format: markdown
                description: >-
                  Human and machine readable cleaned markdown text of the
                  scraped data
                example: This is could be **your** scraped data
              timings:
                $ref: '#/components/schemas/ScrapeTimings'
  schemas:
    ScrapeTimings:
      type: object
      properties:
        total:
          type: number
          format: double
          description: Total time taken to scrape the data in seconds
          example: 0.5
        download:
          type: number
          format: double
          description: Time taken to download the data in seconds
          example: 0.4
        parse:
          type: number
          format: double
          description: Time taken to parse the data in seconds
          example: 0.1

````